default:
  tags:
    - mcai

stages:
  - publish

registry_publish:
  stage: publish
  image: docker
  before_script:
    - docker info
    - apk add --no-cache git make elixir
  script:
    - export VERSION=`mix version`
    - echo "$VERSION"
    - echo "$CI_COMMIT_TAG"
    - if [ "$VERSION" != "$CI_COMMIT_TAG" ]; then exit -1; fi
    - export IMAGE_TAG=`git describe --always --tags --first-parent`
    - docker build -t $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG .
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CONTAINER_REGISTRY
    - docker push $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG
    - echo $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG
  only:
    - tags
